import { DocumentClient } from 'aws-sdk/clients/dynamodb';
import * as Umzug from 'umzug';
export declare type Migrator = Umzug.Umzug;
interface MigratorOptions {
    dynamodb?: DocumentClient;
    migrationTable?: string;
}
/**
 * Migrator factory function, creates an umzug instance with dynamodb storage.
 * @param options
 * @param options.dynamodb - a DynamoDB document client instance
 * @param options.migrationTable - name of migration table in DynamoDB
 */
export declare function migratorFactory({ dynamodb, migrationTable }?: MigratorOptions): Migrator;
/**
 * Migrator instance with options by default.
 */
export declare const defaultMigrator: Migrator;
export {};
